Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200504-10 ] Gld: Remote execution of arbitrary code
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Administrator
Administrator


Joined: 27 Jun 2003
Posts: 4836
Location: Gothenburg, Sweden

PostPosted: Wed Apr 13, 2005 5:50 pm    Post subject: [ GLSA 200504-10 ] Gld: Remote execution of arbitrary code Reply with quote

Gentoo Linux Security Advisory

Title: Gld: Remote execution of arbitrary code (GLSA 200504-10)
Severity: high
Exploitable: remote
Date: April 13, 2005
Updated: May 22, 2006
Bug(s): #88904
ID: 200504-10

Synopsis


Gld contains several serious vulnerabilities, potentially resulting in the
execution of arbitrary code as the root user.


Background


Gld is a standalone greylisting server for Postfix.


Affected Packages

Package: mail-filter/gld
Vulnerable: <= 1.4
Unaffected: >= 1.5
Architectures: All supported architectures


Description


dong-hun discovered several buffer overflows in server.c, as well as
several format string vulnerabilities in cnf.c.


Impact


An attacker could exploit this vulnerability to execute arbitrary code
with the permissions of the user running Gld, the default user being
root.


Workaround


There is no known workaround at this time.


Resolution


All Gld users should upgrade to the latest version:
Code:
# emerge --sync
    # emerge --ask --oneshot --verbose ">=mail-filter/gld-1.5"


References

SecurityTracker ID 1013678
CVE-2005-1099
CVE-2005-1100


Last edited by GLSA on Thu May 01, 2014 4:19 am; edited 6 times in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum